Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se

Solucionado (ver solução)

Funciona, porém retorna uma mensagem de erro

Olá! Eu consegui rodar o script, mas aparece um erro no cmd.

The following tasks did not complete: default
[09:44:54] Did you forget to signal async completion?
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! projeto@1.0.0 gulp: `gulp`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the projeto@1.0.0 gulp script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

ele também passa o local de um arquivo de log.

0 info it worked if it ends with ok
1 verbose cli [ 'C:\\Program Files\\nodejs\\node.exe',
1 verbose cli   'C:\\Program Files\\nodejs\\node_modules\\npm\\bin\\npm-cli.js',
1 verbose cli   'run',
1 verbose cli   'gulp' ]
2 info using npm@6.9.0
3 info using node@v10.16.0
4 verbose run-script [ 'pregulp', 'gulp', 'postgulp' ]
5 info lifecycle projeto@1.0.0~pregulp: projeto@1.0.0
6 info lifecycle projeto@1.0.0~gulp: projeto@1.0.0
7 verbose lifecycle projeto@1.0.0~gulp: unsafe-perm in lifecycle true
8 verbose lifecycle projeto@1.0.0~gulp: PATH: C:\Program Files\nodejs\node_modules\npm\node_modules\npm-lifecycle\node-gyp-bin;C:\Users\LanAlien\Documents\Códigos\Cursos Alura\Automação\projeto\node_modules\.bin;C:\Program Files (x86)\Common Files\Oracle\Java\javapath;C:\Program Files (x86)\Intel\Intel(R) Management Engine Components\iCLS\;C:\Program Files\Intel\Intel(R) Management Engine Components\iCLS\;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\WINDOWS\System32\WindowsPowerShell\v1.0\;C:\Program Files (x86)\Intel\Intel(R) Management Engine Components\DAL;C:\Program Files\Intel\Intel(R) Management Engine Components\DAL;C:\Program Files (x86)\Intel\Intel(R) Management Engine Components\IPT;C:\Program Files\Intel\Intel(R) Management Engine Components\IPT;C:\WINDOWS\System32\OpenSSH\;C:\Program Files\nodejs\;C:\Users\LanAlien\AppData\Local\Microsoft\WindowsApps;C:\Users\LanAlien\AppData\Roaming\Telegram Desktop;C:\Program Files (x86)\Google\Chrome\Application;C:\Program Files (x86)\Steam;C:\Program Files (x86)\Z8Games\CrossFire BR;C:\Program Files (x86)\Auslogics\Disk Defrag;C:\Users\LanAlien\AppData\Local\Programs\Microsoft VS Code\bin;C:\Program Files\Java\jdk-12.0.1\bin;C:\Users\LanAlien\AppData\Roaming\npm
9 verbose lifecycle projeto@1.0.0~gulp: CWD: C:\Users\LanAlien\Documents\Códigos\Cursos Alura\Automação\projeto
10 silly lifecycle projeto@1.0.0~gulp: Args: [ '/d /s /c', 'gulp' ]
11 silly lifecycle projeto@1.0.0~gulp: Returned: code: 1  signal: null
12 info lifecycle projeto@1.0.0~gulp: Failed to exec gulp script
13 verbose stack Error: projeto@1.0.0 gulp: `gulp`
13 verbose stack Exit status 1
13 verbose stack     at EventEmitter.<anonymous> (C:\Program Files\nodejs\node_modules\npm\node_modules\npm-lifecycle\index.js:301:16)
13 verbose stack     at EventEmitter.emit (events.js:198:13)
13 verbose stack     at ChildProcess.<anonymous> (C:\Program Files\nodejs\node_modules\npm\node_modules\npm-lifecycle\lib\spawn.js:55:14)
13 verbose stack     at ChildProcess.emit (events.js:198:13)
13 verbose stack     at maybeClose (internal/child_process.js:982:16)
13 verbose stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:259:5)
14 verbose pkgid projeto@1.0.0
15 verbose cwd C:\Users\LanAlien\Documents\Códigos\Cursos Alura\Automação\projeto
16 verbose Windows_NT 10.0.17134
17 verbose argv "C:\\Program Files\\nodejs\\node.exe" "C:\\Program Files\\nodejs\\node_modules\\npm\\bin\\npm-cli.js" "run" "gulp"
18 verbose node v10.16.0
19 verbose npm  v6.9.0
20 error code ELIFECYCLE
21 error errno 1
22 error projeto@1.0.0 gulp: `gulp`
22 error Exit status 1
23 error Failed at the projeto@1.0.0 gulp script.
23 error This is probably not a problem with npm. There is likely additional logging output above.
24 verbose exit [ 1, true ]

Alguém pode me ajudar?

5 respostas

Lucas, boa tarde!

Qual versão do gulp e do imagemin você instalou?

provavelmente as ultimas, não especifiquei uma versão na hora de instalar

Bom dia, Lucas! Como vai?

Vc poderia compartilhar o seu projeto no github e mandar o link aqui? Assim poderemos dar uma olhada melhor no que está acontecendo para tentar te ajudar!

Outra coisa, vc poderia confirmar o comando que tentou executar e que gerou esse erro?

https://github.com/realfakenerd/auto-ma-o.git

o comando foi:

npm run gulp

fiz também com "gulp default", sem o npm run

solução

Só precisei mudar a versão de alguns pacotes pra funcionar de novo